Bug 2021907 - scitokens-cpp: FTBFS with OpenSSL 3.0.0
Summary: scitokens-cpp: FTBFS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scitokens-cpp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Derek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS OpenSSL3.0
TreeView+ depends on / blocked
 
Reported: 2021-11-10 12:17 UTC by Sahana Prasad
Modified: 2021-12-31 01:59 UTC (History)
2 users (show)

Fixed In Version: scitokens-cpp-0.6.2-4.fc35 scitokens-cpp-0.6.2-4.el8 scitokens-cpp-0.6.2-4.fc34 scitokens-cpp-0.6.2-4.el9 scitokens-cpp-0.6.2-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-31 01:20:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Sahana Prasad 2021-11-10 12:17:59 UTC
This bug is used to track the readiness of scitokens-cpp  with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020245

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 2 Fedora Update System 2021-12-22 00:35:26 UTC
FEDORA-2021-b849ab983e has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b849ab983e

Comment 3 Fedora Update System 2021-12-22 00:35:27 UTC
FEDORA-EPEL-2021-e4e43f449d has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e4e43f449d

Comment 4 Fedora Update System 2021-12-22 00:35:27 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-cb7fb99c41

Comment 5 Fedora Update System 2021-12-22 00:35:28 UTC
FEDORA-2021-0d11065cbc has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0d11065cbc

Comment 6 Fedora Update System 2021-12-22 00:35:29 UTC
FEDORA-EPEL-2021-b4052453a5 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b4052453a5

Comment 7 Fedora Update System 2021-12-23 01:08:23 UTC
FEDORA-2021-b849ab983e has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b849ab983e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b849ab983e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-12-23 01:42:57 UTC
FEDORA-2021-0d11065cbc has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0d11065cbc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0d11065cbc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-23 01:53:08 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-cb7fb99c41

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-12-23 01:56:17 UTC
FEDORA-EPEL-2021-e4e43f449d has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-e4e43f449d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-12-23 02:06:05 UTC
FEDORA-EPEL-2021-b4052453a5 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b4052453a5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-12-31 01:20:18 UTC
FEDORA-2021-0d11065cbc has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-12-31 01:34:22 UTC
FEDORA-EPEL-2021-e4e43f449d has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-12-31 01:34:25 UTC
FEDORA-2021-b849ab983e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-12-31 01:47:13 UTC
FEDORA-EPEL-2021-cb7fb99c41 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-12-31 01:59:59 UTC
FEDORA-EPEL-2021-b4052453a5 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.